=== debian/changelog ===
joyent-mdata-client (0.0.1-0ubuntu7) oracular; urgency=medium

  * d/p/respect-cflags.patch: add a patch to ensure the flags are properly
    propagated.
  * d/p/crc32-prototype-mismatch.patch: add a patch to fix prototype mismatch
    issues.

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 12 Jun 2024 11:19:18 -0600

joyent-mdata-client (0.0.1-0ubuntu6) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:00:39 +0200

joyent-mdata-client (0.0.1-0ubuntu5) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:05:17 +0100

joyent-mdata-client (0.0.1-0ubuntu4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:13:30 +0200

joyent-mdata-client (0.0.1-0ubuntu3) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 20:50:03 +0000

joyent-mdata-client (0.0.1-0ubuntu2) trusty; urgency=low

  * MIR feedback fixes (LP: #128000):
    - Removed secondary copyright on packaging
    - Fixed lintian message about duplicate homepage
    - Fixed capitalization of copyright 'EXPAT' to 'Expat' per dep5

 -- Ben Howard <ben.howard@ubuntu.com>  Fri, 08 Nov 2013 08:04:16 -0700

joyent-mdata-client (0.0.1-0ubuntu1) trusty; urgency=low

  * Initial release (LP: #1248000).

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 07 Nov 2013 08:14:52 -0700
