=== debian/control ===
Source: joyent-mdata-client
Maintainer: Ben Howard <ben.howard@ubuntu.com>
Section: admin
Priority: optional
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 8), devscripts
Homepage: https://github.com/joyent/mdata-client

Package: joyent-mdata-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: metadata client for use on SmartOS hyper-visor
 In-guest tools for interacting with the SmartOS hyper-visor datasource.
 These tools allows you to get, list and put key/value pairs with the
 SmartOS datasource.
